package dp.kotul.bamboospecsapplication.configuration;


public class Configuration {
    private ProjectConfiguration project;
    private PlanConfiguration plan;
    private DeploymentConfiguration deployment;

    public Configuration(ProjectConfiguration project, PlanConfiguration plan, DeploymentConfiguration deployment) {
        this.project = project;
        this.plan = plan;
        this.deployment = deployment;
    }

    public Configuration() {
    }

    public ProjectConfiguration getProject() {
        return project;
    }

    public void setProject(ProjectConfiguration project) {
        this.project = project;
    }

    public PlanConfiguration getPlan() {
        return plan;
    }

    public void setPlan(PlanConfiguration plan) {
        this.plan = plan;
    }

    public DeploymentConfiguration getDeployment() {
        return deployment;
    }

    public void setDeployment(DeploymentConfiguration deployment) {
        this.deployment = deployment;
    }
}
